# Gimp.Matrix3

    from gi.repository import Gimp

    matrix3 = Gimp.Matrix3()

A three by three matrix.

## Methods

- Gimp.Matrix3.affine
- Gimp.Matrix3.determinant
- Gimp.Matrix3.equal
- Gimp.Matrix3.identity
- Gimp.Matrix3.invert
- Gimp.Matrix3.is_affine
- Gimp.Matrix3.is_diagonal
- Gimp.Matrix3.is_identity
- Gimp.Matrix3.is_simple
- Gimp.Matrix3.mult
- Gimp.Matrix3.rotate
- Gimp.Matrix3.scale
- Gimp.Matrix3.transform_point
- Gimp.Matrix3.translate
- Gimp.Matrix3.xshear
- Gimp.Matrix3.yshear

## Fields

- Gimp.Matrix3->coeff